Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.genericinsurability.core.v1
Enum EventType

    java.lang.Object
      java.lang.Enum<EventType>
          be.fgov.ehealth.genericinsurability.core.v1.EventType

All Implemented Interfaces:
  Serializable, Comparable<EventType>

    public enum EventType

extends Enum<EventType>

Java class for EventType.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="EventType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="changeDuring"/>
         <enumeration value="multiple"/>
         <enumeration value="closedBefore"/>
         <enumeration value="startLater"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CHANGE_DURING`
`CLOSED_BEFORE`
`MULTIPLE`
`START_LATER`

Method Summary
`static EventType` | `fromValue(String v)`
`String` | `value()`
`static EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHANGE_DURING

    public static final EventType CHANGE_DURING

### MULTIPLE

    public static final EventType MULTIPLE

### CLOSED_BEFORE

    public static final EventType CLOSED_BEFORE

### START_LATER

    public static final EventType START_LATER

Method Detail

### values

    public static EventType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EventType c : EventType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static EventType fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Package PERSDENTIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.